#!/bin/bash

# Klas Jareteg, 2012-10-13
# Description:
#   Script to run comparative case between coupled and segregated solvers.


# Source tutorial run functions
. $WM_PROJECT_DIR/bin/tools/RunFunctions

solvers=( simpleFoam pUCoupledFoam3D ) 
cases=( pitzDaily )

for s in "${solvers[@]}"
do
    for c in "${cases[@]}"
    do
        cd $s/$c/
        rm -rf [1-9]*
        rm -f log.*
        runApplication blockMesh
        runApplication $s
        cd ../..
    done
done

